petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSSetType

Sets the method to be used as the timestepping solver.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetType(TS ts,TSType type)

Collective on TS Many br

### Input Parameters

| ts | - The TS context Many br
| type | - A known method Many br

### Options Database Command

-ts_type <type> -Sets the method; use -help for a list of available methods (for instance, euler) Many br

### Notes

See "petsc/include/petscts.h" for available methods (for instance) Many br

| TSEULER | - Euler Many br
| TSSUNDIALS | - SUNDIALS interface Many br
| TSBEULER | - Backward Euler Many br
| TSPSEUDO | - Pseudo-timestepping Many br

Normally, it is best to use the TSSetFromOptions() command and Many brthen set the TS type from the options database rather than by using Many brthis routine. Using the options database provides the user with Many brmaximum flexibility in evaluating the many different solvers. Many brThe TSSetType() routine is provided for those situations where it Many bris necessary to set the timestepping solver independently of the Many brcommand line or options database. This might be the case, for example, Many brwhen the choice of solver changes during the execution of the Many brprogram, and the user's application is taking responsibility for Many brchoosing the appropriate method. In other words, this routine is Many brnot for beginners. Many br

Many br

### Keywords

TS, set, type

### See Also

TS, TSSolve(), TSCreate(), TSSetFromOptions(), TSDestroy(), TSType

Level:intermediate
Location:src/ts/interface/tsreg.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex2.c.html
src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex13.c.html
src/ts/examples/tutorials/ex14.c.html
src/ts/examples/tutorials/ex15.c.html